Panda3D

Loading...
Searching...
No Matches
Classes | Functions
interrogateFunctionWrapper.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "dtoolbase.h"`
`#include "interrogateComponent.h"`
`#include <vector>`
`#include "interrogateFunctionWrapper.I"`

Go to the source code of this file.

## Classes
class | InterrogateFunctionWrapper
| An internal representation of a callable function. More...

## Functions
std::ostream & | operator<< (std::ostream &out, const InterrogateFunctionWrapper &wrapper)
std::ostream & | operator<< (std::ostream &out, const InterrogateFunctionWrapper::Parameter &p)
std::istream & | operator>> (std::istream &in, InterrogateFunctionWrapper &wrapper)
std::istream & | operator>> (std::istream &in, InterrogateFunctionWrapper::Parameter &p)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-08-06

Definition in file interrogateFunctionWrapper.h.

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const InterrogateFunctionWrapper & | wrapper )
| inline

Definition at line 210 of file interrogateFunctionWrapper.I.

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const InterrogateFunctionWrapper::Parameter & | p )
| inline

Definition at line 222 of file interrogateFunctionWrapper.I.

## ◆ operator>>() [1/2]

std::istream & operator>> | ( | std::istream & | in,
|  | InterrogateFunctionWrapper & | wrapper )
| inline

Definition at line 217 of file interrogateFunctionWrapper.I.

## ◆ operator>>() [2/2]

std::istream & operator>> | ( | std::istream & | in,
|  | InterrogateFunctionWrapper::Parameter & | p )
| inline

Definition at line 229 of file interrogateFunctionWrapper.I.